Bug 487587 - Review Request: debuginfofs - network-mountable filesystem for debuginfo
Review Request: debuginfofs - network-mountable filesystem for debuginfo
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 488858
Blocks: FE-DEADREVIEW 334811
  Show dependency treegraph
 
Reported: 2009-02-26 16:02 EST by Will Woods
Modified: 2010-12-17 10:23 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-17 10:23:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2009-02-26 16:02:52 EST
Spec URL: http://wwoods.fedorapeople.org/review/debuginfofs.spec
SRPM URL: http://wwoods.fedorapeople.org/review/debuginfofs-0.1-0.fc10.src.rpm

Description:
debuginfofs is a network-mountable filesystem that provides the debugging
symbols needed to generate a fully annotated backtrace.
Comment 1 Suravee Suthikulpanit 2009-03-02 13:23:38 EST
This is the unofficial review

- Could not locate the upstream Source0 (debuginfofs-0.1.tar.bz2) to compare the checksum. (The snapshot from GIT summary is a tar.gz file, while the included package has tar.bz2)

- rpmlint outputs the following:
rpmlint -iv /root/rpmbuild/RPMS/noarch/debuginfofs-server-0.1-0.fc10.noarch.rpm 
debuginfofs-server.noarch: I: checking
debuginfofs-server.noarch: W: conffile-without-noreplace-flag /etc/httpd/conf.d/dav-debuginfo.conf
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

- Package does not include license text.

SUGGESTIONS:
- In "%sfiles server", use "%{_sbindir}/debuginfofs-mirror" instead of "/usr/sbin/debuginfofs-mirror".

- In "/etc/rc.d/init.d/debuginfofs":
   * The chkconfig header has the startPriority + stopPriority > 100. 
   * The script does not have all the required actions. (Missing reload, force-reload, usage)
Please see http://fedoraproject.org/wiki/Packaging/SysVInitScript.


OKAYS:
- rpmlint is quiet for debuginfofs package
- package built, and installed cleanly
- BuildRoot %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- file permission (-,root,root,-)
- rpm -qp --provides ~/rpmbuild/RPMS/noarch/debuginfofs-0.1-0.fc10.noarch.rpm 
config(debuginfofs) = 0.1-0.fc10
debuginfofs = 0.1-0.fc10

- rpm -qp --provides ~/rpmbuild/RPMS/noarch/debuginfofs-server-0.1-0.fc10.noarch.rpm 
config(debuginfofs-server) = 0.1-0.fc10
debuginfofs-server = 0.1-0.fc10

- rpm -qp --requires ~/rpmbuild/RPMS/noarch/debuginfofs-0.1-0.fc10.noarch.rpm 
/bin/bash  
/bin/sh  
/bin/sh  
/bin/sh  
chkconfig  
chkconfig  
config(debuginfofs) = 0.1-0.fc10
initscripts  
initscripts  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
wdfs  

- rpm -qp --requires ~/rpmbuild/RPMS/noarch/debuginfofs-server-0.1-0.fc10.noarch.rpm 
/usr/bin/python  
config(debuginfofs-server) = 0.1-0.fc10
cpio  
httpd  
rpm  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Comment 2 Suravee Suthikulpanit 2009-03-02 16:07:10 EST
Cont'd Comment#1

- Should contains "BuildRequires: python"
Comment 3 Will Woods 2009-03-05 18:25:31 EST
Thanks for the review. New version of this package coming soon. 

The changes have been fairly significant, and the new version will depend on davfs2, which is being reviewed in bug 488858, so it might be a couple more days.
Comment 4 Will Woods 2009-03-06 17:35:44 EST
Spec URL: http://wwoods.fedorapeople.org/review/debuginfofs.spec
SRPM URL: http://wwoods.fedorapeople.org/review/debuginfofs-0.2-1.fc10.src.rpm

New version of the package. For the record, the source tarball is also available here:
http://wwoods.fedorapeople.org/files/debuginfofs-0.2.tar.bz2
Comment 5 Peter Lemenkov 2009-04-22 01:54:05 EDT
Suravee, are you willing to continue your review? You started very good, and, I think, you should continue reviewing it.
Comment 6 Thomas Spura 2010-06-19 08:44:24 EDT
(In reply to comment #5)
> Suravee, are you willing to continue your review? You started very good, and, I
> think, you should continue reviewing it.    

It seems not...

I know to less about init scripts, but what's this rpmlint error about?
debuginfofs-server.noarch: W: missing-lsb-keyword Default-Stop in /etc/rc.d/init.d/debuginfofs-server
debuginfofs.noarch: W: missing-lsb-keyword Default-Stop in /etc/rc.d/init.d/debuginfofs

The conf file in /usr/share should be somewhere in /etc:
debuginfofs-server.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/share/debuginfofs/dav-debuginfo.conf

- Please use macros instead of e.g. /usr/share etc
  e.g. see https://fedoraproject.org/wiki/Packaging:RPMMacros

- Please use 'install -p' where possible to preserve timestamps.
Comment 7 Jason Tibbitts 2010-11-01 17:36:11 EDT
Is anything happening here?

Note You need to log in before you can comment on or make changes to this bug.